attribute vec3 normals;
attribute vec2 texCoord1;
varying vec2 texCoord;
varying vec3 norm;
varying vec3 eyeVec;
varying vec4 eyeVecProj;
varying vec3 lightVec;
uniform vec3 lightPos;
uniform mat4 exfCamInverse;
void main()
{
 
 norm =vec3(0.0,1.0,0.0);
 norm = gl_NormalMatrix*norm;
 vec3 lightPosSpaced = -(gl_ModelViewMatrix*gl_Vertex).xyz;
 eyeVec = (gl_ModelViewMatrix*gl_Vertex).xyz;
 lightVec = normalize(lightPosSpaced);
 texCoord = texCoord1;
 gl_Position = ftransform();
 eyeVecProj = gl_Position;

}